Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_get_as_boolean

## Name

librdf_hash_get_as_boolean -- lookup a hash key and decode value as a boolean

## Synopsis

``int `librdf_hash_get_as_boolean`` (librdf_hash* `hash`, char * `key`);`

## Arguments

`hash`

  librdf_hash object

`key`

  key string to look up

## Return value

>0 (for true), 0 (for false) or <0 (for key not found or not known boolean value)

<<< Previous | Home | Next >>>
librdf_hash_from_array_of_strings | Up | librdf_hash_get_as_long